com.genesyslab.wfm8.API.service.config800

## Class CfgMetadata

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgMetadata

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMetadata
      extends java.lang.Object
      implements java.io.Serializable

  Metadata information of object property used with audit log
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmCfgEnumId` An enumerator ID value if wmFieldType is CFG_FIELD_TYPE_ENUM
    `protected int` | `wmCfgMetadataId` Unique metadata ID
    `protected java.lang.String` | `wmDescription` Human readable description
    `protected java.lang.String` | `wmField` Database field name
    `protected int` | `wmFieldType` Field Type `ECfgFieldType`
    `protected int` | `wmObjectType` Object Type `ECfgObjectType`
    `protected java.lang.String` | `wmTable` Database table name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMetadata()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmCfgEnumId()` Gets the value of the wmCfgEnumId property.
    `int` | `getWmCfgMetadataId()` Gets the value of the wmCfgMetadataId property.
    `java.lang.String` | `getWmDescription()` Gets the value of the wmDescription property.
    `java.lang.String` | `getWmField()` Gets the value of the wmField property.
    `int` | `getWmFieldType()` Gets the value of the wmFieldType property.
    `int` | `getWmObjectType()` Gets the value of the wmObjectType property.
    `java.lang.String` | `getWmTable()` Gets the value of the wmTable property.
    `int` | `hashCode()`
    `void` | `setWmCfgEnumId(int value)` Sets the value of the wmCfgEnumId property.
    `void` | `setWmCfgMetadataId(int value)` Sets the value of the wmCfgMetadataId property.
    `void` | `setWmDescription(java.lang.String value)` Sets the value of the wmDescription property.
    `void` | `setWmField(java.lang.String value)` Sets the value of the wmField property.
    `void` | `setWmFieldType(int value)` Sets the value of the wmFieldType property.
    `void` | `setWmObjectType(int value)` Sets the value of the wmObjectType property.
    `void` | `setWmTable(java.lang.String value)` Sets the value of the wmTable property.
    `java.lang.String` | `toString()`
    `CfgMetadata` | `withWmCfgEnumId(int value)`
    `CfgMetadata` | `withWmCfgMetadataId(int value)`
    `CfgMetadata` | `withWmDescription(java.lang.String value)`
    `CfgMetadata` | `withWmField(java.lang.String value)`
    `CfgMetadata` | `withWmFieldType(int value)`
    `CfgMetadata` | `withWmObjectType(int value)`
    `CfgMetadata` | `withWmTable(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmCfgMetadataId

          protected int wmCfgMetadataId

      Unique metadata ID

    - #### wmTable

          protected java.lang.String wmTable

      Database table name

    - #### wmField

          protected java.lang.String wmField

      Database field name

    - #### wmObjectType

          protected int wmObjectType

      Object Type `ECfgObjectType`

    - #### wmFieldType

          protected int wmFieldType

      Field Type `ECfgFieldType`

    - #### wmCfgEnumId

          protected int wmCfgEnumId

      An enumerator ID value if wmFieldType is CFG_FIELD_TYPE_ENUM

    - #### wmDescription

          protected java.lang.String wmDescription

      Human readable description

  - ### Constructor Detail

    - #### CfgMetadata

          public CfgMetadata()

  - ### Method Detail

    - #### getWmCfgMetadataId

          public int getWmCfgMetadataId()

      Gets the value of the wmCfgMetadataId property.

    - #### setWmCfgMetadataId

          public void setWmCfgMetadataId(int value)

      Sets the value of the wmCfgMetadataId property.

    - #### getWmTable

          public java.lang.String getWmTable()

      Gets the value of the wmTable property.
      Returns:
        possible object is `String`

    - #### setWmTable

          public void setWmTable(java.lang.String value)

      Sets the value of the wmTable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmField

          public java.lang.String getWmField()

      Gets the value of the wmField property.
      Returns:
        possible object is `String`

    - #### setWmField

          public void setWmField(java.lang.String value)

      Sets the value of the wmField property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmObjectType

          public int getWmObjectType()

      Gets the value of the wmObjectType property.

    - #### setWmObjectType

          public void setWmObjectType(int value)

      Sets the value of the wmObjectType property.

    - #### getWmFieldType

          public int getWmFieldType()

      Gets the value of the wmFieldType property.

    - #### setWmFieldType

          public void setWmFieldType(int value)

      Sets the value of the wmFieldType property.

    - #### getWmCfgEnumId

          public int getWmCfgEnumId()

      Gets the value of the wmCfgEnumId property.

    - #### setWmCfgEnumId

          public void setWmCfgEnumId(int value)

      Sets the value of the wmCfgEnumId property.

    - #### getWmDescription

          public java.lang.String getWmDescription()

      Gets the value of the wmDescription property.
      Returns:
        possible object is `String`

    - #### setWmDescription

          public void setWmDescription(java.lang.String value)

      Sets the value of the wmDescription property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmCfgMetadataId

          public CfgMetadata withWmCfgMetadataId(int value)

    - #### withWmTable

          public CfgMetadata withWmTable(java.lang.String value)

    - #### withWmField

          public CfgMetadata withWmField(java.lang.String value)

    - #### withWmObjectType

          public CfgMetadata withWmObjectType(int value)

    - #### withWmFieldType

          public CfgMetadata withWmFieldType(int value)

    - #### withWmCfgEnumId

          public CfgMetadata withWmCfgEnumId(int value)

    - #### withWmDescription

          public CfgMetadata withWmDescription(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.